Retrieve counting
curl --request GET \
--url https://api.algure.com/v1/countings/{counting_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.algure.com/v1/countings/{counting_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.algure.com/v1/countings/{counting_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"warehouse": {
"name": "<string>",
"id": 123,
"code": "<string>",
"slug": "<string>"
},
"active": true,
"participants": [
{
"id": 123,
"username": "<string>"
}
],
"totalProducts": 123,
"totalProductsCounted": 123,
"totalProductsLeft": 123,
"totalDiscrepancies": 123,
"totalIncidents": 123,
"products": [
{
"id": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"index": 123,
"assignedUser": {
"id": 123,
"username": "<string>"
},
"documentation": {
"body": "<string>",
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"user": {
"id": 123,
"username": "<string>"
},
"reason": {
"name": "<string>",
"id": 123
},
"stock": 123
},
"productStock": 123,
"productLocationStock": 123,
"lotStock": 123,
"lotLocationStock": 123,
"costPrice": 123,
"countedStock": 123,
"difference": 123,
"prevCountedStock": 123,
"prevDifference": 123,
"product": {
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"code": "<string>",
"warehouse": {
"name": "<string>",
"code": "<string>"
},
"costPrice": 123,
"stock": 123,
"metrics": {
"updatedAt": "2023-11-07T05:31:56Z",
"abc": "A",
"ranking": 123,
"valueAbc": "A",
"valueRanking": 123,
"valueTotal": 123,
"stockAbc": "A",
"stockRanking": 123,
"stockMonth": 123,
"stock6Mo": 123,
"stockYear": 123,
"priceAbc": "A",
"priceRanking": 123,
"priceMonth": 123,
"price6Mo": 123,
"priceYear": 123,
"movementAbc": "A",
"movementRanking": 123,
"movementMonth": 123,
"movement6Mo": 123,
"movementYear": 123
},
"description": "<string>",
"packagingUnit": 123
},
"location": {
"id": "<string>",
"code": "<string>"
},
"lot": {
"id": "<string>",
"code": "<string>",
"stock": 123
},
"productLocation": {
"stock": 123
},
"lotLocation": {
"stock": 123
},
"counting": {
"id": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"warehouse": {
"id": 123
}
},
"incident": {
"body": "<string>",
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"type": {
"name": "<string>"
}
}
}
]
}Countings
Retrieve counting
Get a counting by its ID.
GET
/
v1
/
countings
/
{counting_id}
Retrieve counting
Authorizations
Use Integration API credentials as HTTP Basic auth (username: client id, password: client secret).
Path Parameters
The ID of the counting to retrieve
Response
200 - application/json
The counting
Counting start timestamp
Counting end timestamp (max. date)
Warehouse where the counting took place
Show child attributes
Show child attributes
If the counting is ongoing
Users that participated in the counting
Show child attributes
Show child attributes
Total number of products to count
Total number of products counted
Total number of products left to count
Total number of stock discrepancies detected
Total number of incidents detected
Show child attributes
Show child attributes
Was this page helpful?
⌘I

